Module org.apache.sis.metadata
Package org.apache.sis.metadata.iso

# Class DefaultPortrayalCatalogueReference

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultPortrayalCatalogueReference

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `PortrayalCatalogueReference`

public class DefaultPortrayalCatalogueReference extends ISOMetadata implements PortrayalCatalogueReference
Information identifying the portrayal catalogue used. The following properties are mandatory in a well-formed metadata according ISO 19115:
`MD_PortrayalCatalogueReference` `└─portrayalCatalogueCitation……` Bibliographic reference to the portrayal catalogue cited. `├─title…………………………………………………` Name by which the cited resource is known. `└─date……………………………………………………` Reference date for the cited resource.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultPortrayalCatalogueReference()`
  Construct an initially empty portrayal catalogue reference.
  `DefaultPortrayalCatalogueReference(Citation portrayalCatalogueCitation)`
  Creates a portrayal catalogue reference initialized to the given reference.
  `DefaultPortrayalCatalogueReference(PortrayalCatalogueReference object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultPortrayalCatalogueReference`
  `castOrCopy(PortrayalCatalogueReference object)`
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.
  `Collection<Citation>`
  `getPortrayalCatalogueCitations()`
  Bibliographic reference to the portrayal catalogue cited.
  `void`
  `setPortrayalCatalogueCitations(Collection<? extends Citation> newValues)`
  Sets bibliographic reference to the portrayal catalogue cited.

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultPortrayalCatalogueReference

    public DefaultPortrayalCatalogueReference()
    Construct an initially empty portrayal catalogue reference.

  - ### DefaultPortrayalCatalogueReference

    public DefaultPortrayalCatalogueReference(Citation portrayalCatalogueCitation)
    Creates a portrayal catalogue reference initialized to the given reference.
    Parameters:
      `portrayalCatalogueCitation` - the bibliographic reference, or `null` if none.

  - ### DefaultPortrayalCatalogueReference

    public DefaultPortrayalCatalogueReference(PortrayalCatalogueReference object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(PortrayalCatalogueReference)`

- ## Method Details

  - ### castOrCopy

    public static DefaultPortrayalCatalogueReference castOrCopy(PortrayalCatalogueReference object)
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is already an instance of `DefaultPortrayalCatalogueReference`, then it is returned unchanged.
    - Otherwise a new `DefaultPortrayalCatalogueReference` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

  - ### getPortrayalCatalogueCitations

    public Collection<Citation> getPortrayalCatalogueCitations()
    Bibliographic reference to the portrayal catalogue cited.
    Specified by:
      `getPortrayalCatalogueCitations` in interface `PortrayalCatalogueReference`
    Returns:
      references to the portrayal catalogue cited.

  - ### setPortrayalCatalogueCitations

    public void setPortrayalCatalogueCitations(Collection<? extends Citation> newValues)
    Sets bibliographic reference to the portrayal catalogue cited.
    Parameters:
      `newValues` - the new portrayal catalogue citations.